### Method

# Gtk.CellArea.attribute_connect

#### Declaration [src]

    void
    gtk_cell_area_attribute_connect (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* attribute,
      int column
    )

#### Description [src]

Connects an `attribute` to apply values from `column` for the `GtkTreeModel` in use.

#### Parameters

`renderer` | `GtkCellRenderer`
| the `GtkCellRenderer` to connect an attribute for
| Ownership is not transferred to the callee
`attribute` | `const char*`
| the attribute name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`column` | `int`
| the `GtkTreeModel` column to fetch attribute values from